### Method

# GLib Source remove_poll

#### Declaration

    void
    g_source_remove_poll (
      GSource* source,
      GPollFD* fd
    )

#### Description

Removes a file descriptor from the set of file descriptors polled for this source.

This API is only intended to be used by implementations of `GSource`. Do not call this API on a `GSource` that you did not create.

#### Parameters

`fd`

  Type: `GPollFD`

  A `GPollFD` structure previously passed to g_source_add_poll().

  The data is owned by the caller of the method.